devel/p5-PadWalker - The NetBSD Packages Collection

Play with other peoples' lexical variables

PadWalker is a module which allows you to inspect (and even change!)
lexical variables in any subroutine which called you. It will only
show those variables which are in scope at the point of the call.

PadWalker is particularly useful for debugging. It's even used by
Perl's built-in debugger. (It can also be used for evil, of course.)

I wouldn't recommend using PadWalker directly in production code,
but it's your call. Some of the modules that use PadWalker internally
are certainly safe for and useful in production.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 8.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 8.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 8.0i386p5-PadWalker-2.3nb3.tgz
NetBSD 8.0i386p5-PadWalker-2.3nb3.tgz
NetBSD 8.0i386p5-PadWalker-2.3nb3.tgz
NetBSD 8.0powerpcp5-PadWalker-2.3nb3.tgz
NetBSD 8.0powerpcp5-PadWalker-2.3nb3.tgz
NetBSD 8.0powerpcp5-PadWalker-2.3nb3.tgz
NetBSD 8.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 8.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0aarch64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0aarch64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0aarch64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0alphap5-PadWalker-2.3nb3.tgz
NetBSD 9.0alphap5-PadWalker-2.3nb3.tgz
NetBSD 9.0alphap5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv6hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv6hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv6hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv6hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0earmv7hfp5-PadWalker-2.3nb3.tgz
NetBSD 9.0i386p5-PadWalker-2.3nb3.tgz
NetBSD 9.0i386p5-PadWalker-2.3nb3.tgz
NetBSD 9.0i386p5-PadWalker-2.3nb3.tgz
NetBSD 9.0m68kp5-PadWalker-2.3nb3.tgz
NetBSD 9.0m68kp5-PadWalker-2.3nb3.tgz
NetBSD 9.0m68kp5-PadWalker-2.3nb3.tgz
NetBSD 9.0mips64ebp5-PadWalker-2.3nb3.tgz
NetBSD 9.0mips64ebp5-PadWalker-2.3nb3.tgz
NetBSD 9.0mips64ebp5-PadWalker-2.3nb3.tgz
NetBSD 9.0mipselp5-PadWalker-2.3nb3.tgz
NetBSD 9.0mipselp5-PadWalker-2.3nb3.tgz
NetBSD 9.0powerpcp5-PadWalker-2.3nb3.tgz
NetBSD 9.0powerpcp5-PadWalker-2.3nb3.tgz
NetBSD 9.0sh3elp5-PadWalker-2.3nb3.tgz
NetBSD 9.0sh3elp5-PadWalker-2.3nb3.tgz
NetBSD 9.0sh3elp5-PadWalker-2.3nb3.tgz
NetBSD 9.0sparc64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0sparc64p5-PadWalker-2.3nb2.tgz
NetBSD 9.0sparc64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0sparc64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0sparcp5-PadWalker-2.3nb3.tgz
NetBSD 9.0sparcp5-PadWalker-2.3nb3.tgz
NetBSD 9.0sparcp5-PadWalker-2.3nb3.tgz
NetBSD 9.0vaxp5-PadWalker-2.3nb3.tgz
NetBSD 9.0vaxp5-PadWalker-2.3nb3.tgz
NetBSD 9.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0x86_64p5-PadWalker-2.3nb3.tgz
NetBSD 9.0x86_64p5-PadWalker-2.3nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.